https://svn.boost.org/trac/boost/ticket/9445

hack to fix x32 builds

--- a/libs/context/src/asm/jump_i386_sysv_elf_gas.S
+++ b/libs/context/src/asm/jump_i386_sysv_elf_gas.S
@@ -31,6 +31,10 @@
  *                                                                  *
  * *****************************************************************/
 
+#ifdef __x86_64__
+#include "jump_x86_64_sysv_elf_gas.S"
+#else
+
 .text
 .globl jump_fcontext
 .align 2
@@ -73,3 +77,5 @@ jump_fcontext:
 
 /* Mark that we don't need executable stack.  */
 .section .note.GNU-stack,"",%progbits
+
+#endif
--- a/libs/context/src/asm/make_i386_sysv_elf_gas.S
+++ b/libs/context/src/asm/make_i386_sysv_elf_gas.S
@@ -31,6 +31,10 @@
  *                                                                  *
  * *****************************************************************/
 
+#ifdef __x86_64__
+#include "make_x86_64_sysv_elf_gas.S"
+#else
+
 .text
 .globl make_fcontext
 .align 2
@@ -78,3 +82,5 @@ finish:
 
 /* Mark that we don't need executable stack.  */
 .section .note.GNU-stack,"",%progbits
+
+#endif
